// CSE 142, Autumn 2006
// Homework 8 (Critter Safari)
// Authors: Marty Stepp and Stuart Reges
//
// Defines the methods necessary for an animal to participate in the critter
// safari simulation.
//
import java.awt.*;

public interface Critter {
    // methods to be implemented
    public int fight(String opponent);
    public Color getColor();
    public int getMove(CritterInfo info);
    public String toString();

    // constants for directions
    public static final int NORTH = -2;
    public static final int SOUTH = 4;
    public static final int EAST = 3;
    public static final int WEST = 19; 
    public static final int CENTER = 11;
    
    // constants for rock-paper-scissors game
    public static final int ROCK = 28;
    public static final int PAPER = -10;
    public static final int SCISSORS = 55;
}
