// CSE 142, Autumn 2006
// Homework 8 (Critter Safari)
// Authors: Marty Stepp, Stuart Reges
//
// Provides the main method for the simulation.
// 
public class CritterMain {
    public static void main(String[] args) {
        // create the simulation world
        CritterModel model = new CritterModel(60, 50);
        
        // add the various critters to the simulation
        model.add(25, Stone.class);
        model.add(25, Bear.class);
        model.add(25, Lion.class);
        model.add(25, Tiger.class);
        model.add(25, Wolf.class);
        
        // run the simulation
        CritterGui gui = new CritterGui(model);
        gui.start();
    }
}
